Concepts
API documentation
Account management
Journals
Modules
API management
Table of contents
This endpoint lets you manage the API keys in your account.
API keys are used to authenticate requests to the API. They are used to identify the user and the application that is making the request. You need to be very careful with them, since they can be used to access sensitive data.
Get the list of API keys in the account
This endpoint gets the list of API keys in the account.
The API key is not returned in the response, since it's only returned when creating a new API key.
This call is not paginated, since there should not be too many API keys in the account.
URL parameters
This endpoint does not have any parameters.
Query parameters
No query parameters are available for this endpoint.
Response attributes
The object type. Always 'api_key'.
The ID of the API key.
The attributes of the API key.
The name of the API key.
The API key. Always null in this endpoint.
The date and time the API key was last used, in Unix timestamp format.
The date and time the object was created, in Unix timestamp format.
The date and time the object was last updated, in Unix timestamp format.
The links of the API key.
The URL of the API key.
{
"data": [
{
"type":
"api_key"
,
"id":
"1"
,
"attributes": {
"name":
"Mobile app"
,
"token":
null
,
"last_used_at":
"Never"
,
"created_at":
1748813205
,
"updated_at":
1748813205
},
"links": {
"self":
"https://j.codingcat12.net/api/settings/api/1"
}
}
]
}
Get an API key
This endpoint gets an API key. It will return the API key in the response.
URL parameters
The ID of the API key.
Query parameters
No query parameters are available for this endpoint.
Response attributes
The object type. Always 'api_key'.
The ID of the API key.
The attributes of the API key.
The name of the API key.
The API key.
The date and time the API key was last used, in Unix timestamp format.
The date and time the object was created, in Unix timestamp format.
The date and time the object was last updated, in Unix timestamp format.
The links of the API key.
The URL of the API key.
{
"data": [
{
"type":
"api_key"
,
"id":
"1"
,
"attributes": {
"name":
"Mobile app"
,
"token":
null
,
"last_used_at":
"Never"
,
"created_at":
1748813205
,
"updated_at":
1748813205
},
"links": {
"self":
"https://j.codingcat12.net/api/settings/api/1"
}
}
]
}
Create a new API key
This endpoint creates a new API key. It will return the API key in the response. This will be the only time you will see the API key, so please save it in a secure location.
URL parameters
This endpoint does not have any parameters.
Query parameters
The name of the API key. Maximum 255 characters.
Response attributes
The object type. Always 'api_key'.
The ID of the API key.
The attributes of the API key.
The API key.
The name of the API key.
The date and time the API key was last used, in Unix timestamp format.
The date and time the object was created, in Unix timestamp format.
The date and time the object was last updated, in Unix timestamp format.
The links of the API key.
The URL of the API key.
{
"data": [
{
"type":
"api_key"
,
"id":
"1"
,
"attributes": {
"name":
"Mobile app"
,
"token":
null
,
"last_used_at":
"Never"
,
"created_at":
1748813205
,
"updated_at":
1748813205
},
"links": {
"self":
"https://j.codingcat12.net/api/settings/api/1"
}
}
]
}
Delete an API key
This endpoint deletes an API key. It will return a success message in the response.
URL parameters
The ID of the API key.
Query parameters
No query parameters are available for this endpoint.
Response attributes
No response attributes are available for this endpoint.
No response body